/**
 * WP File Download Addon Javascript
 *
 * @package WP File Download Addon
 * @author Joomunited
 * @version 1.0.0
 */

jQuery(document).ready(function ($) {
    var wpfdAddon_cloud = {
        init: function () {
            this.repositionInput();
            $(document).on('change', 'input[type="radio"][name="googleSyncMethod"]', this.googleSyncMethodChange);
            $(document).on('change', 'input[type="radio"][name="dropboxSyncMethod"]', this.dropboxSyncMethodChange);
            $(document).on('change', 'input[type="radio"][name="onedriveSyncMethod"]', this.onedriveSyncMethodChange);
            $(document).on('change', 'input[type="radio"][name="onedriveBusinessSyncMethod"]', this.onedriveBusinessSyncMethodChange);
            $(document).on('click', '#gg_disconnect, #drop_disconnect, #onedrive_disconnect, #onedrive_business_disconnect', this.promptConnect);
            $(document).on('change input', '#dropboxAuthor', this.dropboxAuthorization);
            $('input[type="radio"][name="googleSyncMethod"]:checked, input[type="radio"][name="dropboxSyncMethod"]:checked, input[type="radio"][name="onedriveSyncMethod"]:checked, input[type="radio"][name="onedriveBusinessSyncMethod"]:checked').trigger('change');
            $("#wpfdAddonlaunch").leanModal();
            $(".wpfd_dropboxBaseFolderId").on('change', function (e) {
                $('.dropboxBaseFolderId ').val($(this).val());
            });

            $(document).on('click', '#wpfd-btnpush-ggd', this.googlePushClick);
            $(document).on('click', '#wpfd-btnpush-onedrive-business', this.onedriveBusinessPushClick);
        },
        onedriveBusinessPushClick: function (e) {
            e.preventDefault();
            var $this = $(this);
            var defaultLabel = $this.html();
            var security = $(e.target).data('security');

            $.ajax({
                url: wpfd_var.wpfdajaxurl + "?action=onedriveBusinessWatchChanges",
                data: {security: security},
                beforeSend: function () {
                    $this.removeClass('orange-outline-button');
                    $this.attr('disabled', true);
                    $this.html('<i class="wpfd-svg-icon-sync-loading"></i> ' + _wpfd_text('Pending...'));
                },
                method: "POST",
                success: function (res, xhr) {
                    if (res.data.status === true) {
                        $this.attr('disabled', false);
                        $this.html(_wpfd_text('Success! Page will reload now...'));
                        setTimeout(function () {
                            document.location.reload();
                        }, 100);
                    } else {
                        $this.html(defaultLabel);
                        $this.attr('disabled', false);
                        $this.addClass('orange-outline-button');
                        alert(_wpfd_text('Something wrong! Check Console Tab for details.'));
                        console.log(xhr);
                    }
                },
                error: function (xhr) {
                    $this.html(defaultLabel);
                    $this.attr('disabled', false);
                    $this.addClass('orange-outline-button');
                    alert(_wpfd_text('Something wrong! Check Console Tab for details.'));
                    console.log(xhr);
                },
            });
        },
        googlePushClick: function (e) {
            e.preventDefault();
            var $this = $(this);
            var defaultLabel = $this.html();
            var security = $(e.target).data('security');

            $.ajax({
                url: wpfd_var.wpfdajaxurl + "?action=googleWatchChanges",
                data: {security: security},
                beforeSend: function () {
                    $this.removeClass('orange-outline-button');
                    $this.attr('disabled', true);
                    $this.html('<i class="wpfd-svg-icon-sync-loading"></i> ' + _wpfd_text('Pending...'));
                },
                method: "POST",
                success: function (res, xhr) {
                    if (res.data.status === true) {
                        $this.attr('disabled', false);
                        $this.html(_wpfd_text('Success! Page will reload now...'));
                        setTimeout(function () {
                            document.location.reload();
                        }, 500);
                    } else {
                        $this.html(defaultLabel);
                        $this.attr('disabled', false);
                        $this.addClass('orange-outline-button');
                        alert(_wpfd_text('Something wrong! Check Console Tab for details.'));
                        console.log(xhr);
                    }
                },
                error: function (xhr) {
                    $this.html(defaultLabel);
                    $this.attr('disabled', false);
                    $this.addClass('orange-outline-button');
                    alert(_wpfd_text('Something wrong! Check Console Tab for details.'));
                    console.log(xhr);
                },
            });

        },
        repositionInput: function () {
            $("#wpfd-btnconnect-ggd").insertAfter($('#wpfd-theme-cloud .ju-heading'));
            $("#wpfd-btnconnect-dropbox").insertAfter($('#wpfd-theme-dropbox .ju-heading'));
            $("#wpfd-btnconnect-onedrive").insertAfter($('#wpfd-theme-onedrive .ju-heading'));
            $("#wpfd-btnconnect-onedrive-business").insertAfter($('#wpfd-theme-onedrive-business .ju-heading'));

            // Move push notification button
            $(".wpfd-float-message").insertAfter($('#wpfd-btnconnect-ggd'));
            $("#wpfd-btnpush-ggd").insertAfter($('#wpfd-btnconnect-ggd'));
            $("#wpfd-btnpush-onedrive-business").insertAfter($('#wpfd-btnconnect-onedrive-business'));

            $("#gg_setup").insertAfter($('input[name=googleClientSecret]').parents(".ju-settings-option"));
            $("#ggd_connect_mode").insertBefore($('input[name=googleClientId]').parents(".ju-settings-option"));
            $("#onedrive_connect_mode").insertBefore($('input[name=onedriveKey]').parents(".ju-settings-option"));
            $("#onedrive_business_connect_mode").insertBefore($('input[name=onedriveBusinessKey]').parents(".ju-settings-option"));
            $("#dropbox_connect_mode").insertBefore($('input[name=dropboxKey]').parents(".ju-settings-option"));
            $("#onedriver_setup").insertAfter($('select[name=onedriveSyncTime]').parents(".ju-settings-option"));
            $("#onedriver_business_setup").insertAfter($('select[name=onedriveBusinessSyncTime]').parents(".ju-settings-option"));
            $(".dropboxBaseFolder-setup").insertBefore($('input[name=dropboxKey]').parents(".ju-settings-option"));
            $(".ggd-documentation").insertAfter($('input.google-drive-submit'));
            $(".dropbox-documentation").insertAfter($('input.dropbox-submit'));
            $(".onedrive-documentation").insertAfter($('input.onedrive-submit'));
            $(".onedrive-business-documentation").insertAfter($('input.onedrive-business-submit'));

            if ($("#dropboxToken").val() !== "") {
                $("#dropboxAuthor").hide();
            }
        },
        googleSyncMethodChange: function (e) {
            wpfdAddon_cloud.showHelp(e.target, 'googleSyncMethod_help', 'googleSync');
        },
        dropboxSyncMethodChange: function (e) {
            wpfdAddon_cloud.showHelp(e.target, 'dropboxSyncMethod_help', 'dropboxSync');
        },
        onedriveSyncMethodChange: function (e) {
            wpfdAddon_cloud.showHelp(e.target, 'onedriveSyncMethod_help', 'onedriveSync');
        },
        onedriveBusinessSyncMethodChange: function (e) {
            wpfdAddon_cloud.showHelp(e.target, 'onedriveBusinessSyncMethod_help', 'onedriveBusinessSync');
        },
        showHelp: function (target, helpBlockId, action) {
            var $this = $(target);
            var $syncHelpBlock = $("#" + helpBlockId);
            if ($this.val() === 'setup_on_server') {
                if ($syncHelpBlock.length === 0) {
                    $this.parents().closest('.ju-settings-option').append("<div class='ju-settings-pre' id='" + helpBlockId + "'>/usr/bin/php " + wpfd_var.abspath + "wp-cron.php > /dev/null 2>&1</div>");
                    $syncHelpBlock.hide();
                }
                $syncHelpBlock.fadeIn();
            } else {
                $syncHelpBlock.fadeOut();
            }
        },
        promptConnect: function (e) {
            e.preventDefault();
            var $that = $(e.target);
            if (confirm(_wpfd_text('Are you sure to disconnect') + '?')) {
                window.location = $that.attr('href');
            }
            return false;
        },
        dropboxAuthorization: function (e) {
            var $this = $(e.target);
            var $helperTxt = $this.next('.ju-settings-help');
            var $dropSubmit = $('.dropbox-submit');
            if ($this.length) {
                var authorizationKey = $this.val();
                $dropSubmit.prop('disabled', true);
                $.ajax({
                    url: wpfdajaxurl + "task=config.getTokenKey",
                    type: "POST",
                    dataType: 'json',
                    data: {dropAuthor: authorizationKey},
                    beforeSend: function () {
                        $helperTxt.html(_wpfd_text('Checking Authorization Code....')).css('color', 'black');
                    },
                }).done(function (res) {
                    if (res.response === true) {
                        var $accessToken = res.datas.accessToken;
                        $dropSubmit.prop('disabled', false);
                        $("#dropboxToken").attr('value', $accessToken);
                        $this.attr('type', 'hidden');
                        $helperTxt.html(_wpfd_text('Success!')).css('color', 'green');
                        setTimeout(function () {
                            window.location.replace("admin.php?page=wpfd-config");
                        }, 200);
                    } else {
                        $helperTxt.html(res.datas).css('color', 'red');
                    }
                });
            }
        },
    };
    wpfdAddon_cloud.init();

    var wpfdAdon_woocommerce = {
        init: function () {
            $(document).on('wpfd_preview_updated', function (e) {
                var $button = $('<button class="goProducts">Woo</button>');
                $button.on('click', function (e) {
                    e.stopPropagation();
                    var $this = $(e.target);
                    if ($this.parent().hasClass('title')) {
                        var productIds = $this.parent().parent('.isWoocommerce').data('products');
                    } else if ($this.parent().hasClass('isWoocommerce')) {
                        var productIds = $this.parent('.isWoocommerce').data('products');
                    }
                    if (productIds) {
                        var productIdsArr = productIds.toString().split(',');
                        var href = window.location.href;
                        var index = href.indexOf('/wp-admin');
                        var homeUrl = href.substring(0, index);
                        // Using pop() method to go to first product only
                        window.open(homeUrl + '/wp-admin/post.php?post=' + productIdsArr.pop() + '&action=edit', '_blank');
                    }
                });
                var row = $('.isWoocommerce');
                if (row.prop('tagName') === 'TR') {
                    $('.title', row).prepend($button);
                } else if (row.prop('tagName') === 'DIV') {
                    row.append($button);
                }

            });
            $(document).on('click', '.jsDismiss span', this.dismissNotice);
        },
        dismissNotice: function(e) {
            $.ajax({
                method: 'POST',
                data: {product: $(e.target).parent().data('product-id')},
                url: wpfdWooAddonVars.adminurl + 'admin-ajax.php?action=dismiss_wpfd_product_notice',
                success: function(data) {
                    if (data.success === true) {
                        $(e.target).parent().parent('.wpfd_notice').fadeOut('slow', function(){
                            $(this).remove();
                        });
                    }
                }
            });
        }
    }

    wpfdAdon_woocommerce.init();
});

function autoReload() {
    setTimeout(function () {
        window.location.reload();
    }, 2500);
}
