<?php
/**
 * WP File Download
 *
 * @package WP File Download
 * @author  Joomunited
 * @version 1.0
 */

// No direct access
defined('ABSPATH') || die();

/**
 * Class WpfdBase
 */
class WpfdBase
{


    /**
     * Load value
     *
     * @param object $var     Variables
     * @param string $value   Value
     * @param string $default Default value
     *
     * @return mixed|string
     */
    public static function loadValue($var, $value, $default = '')
    {
        if (is_object($var) && isset($var->$value)) {
            return $var->$value;
        } elseif (is_array($var) && isset($var[$value])) {
            return $var[$value];
        }

        return $default;
    }

    /**
     * Retrieve the path to the component image directory
     *
     * @param integer $id_category Term id
     *
     * @return string Directory path
     */
    public static function getFilesPath($id_category = null)
    {
        $upload_dir   = wp_upload_dir();
        $basedir_wpfd = $upload_dir['basedir'] . DIRECTORY_SEPARATOR . 'wpfd' . DIRECTORY_SEPARATOR;
        if ($id_category === null) {
            return $basedir_wpfd;
        }

        return $basedir_wpfd . $id_category . DIRECTORY_SEPARATOR;
    }
}
